### Method

# Gsk Stroke set_miter_limit

since: 4.14

#### Declaration [src]

    void
    gsk_stroke_set_miter_limit (
      GskStroke* self,
      float limit
    )

#### Description [src]

Sets the miter limit to be used when stroking.

The miter limit is the distance from the corner where sharp turns of joins get cut off.

The limit is specfied in units of line width and must be non-negative.

For joins of type `GSK_LINE_JOIN_MITER` that exceed the miter limit, the join gets rendered as if it was of type `GSK_LINE_JOIN_BEVEL`.

Available since: 4.14

#### Parameters

`limit`

  Type: `float`

  The miter limit.